[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# NotifyApplicationUserInput

Signals all user input handlers for the application using the specified message.

## Declaration

Source position: forms.pp line 1979

`procedure NotifyApplicationUserInput(`
`Target: TControl;`
`Msg: Cardinal`
`);`

## Arguments

`Msg` |  | The message to process.

## Description

Calls the NotifyUserInputHandler method in the Application singleton when it has been assigned using Msg as an argument.

NotifyApplicationUserInput is used as a callback routine in widgetset classes. It allows the widget to notify the application when a mouse or a keyboard event is pending in the LCL interface.

## See also

TApplication.NotifyUserInputHandler |  | Notifies all user input handlers of the specified message.
TApplication.OnUserInput |  | Event handler signalled to handle user input messages.
TApplication.DoOnMouseMove |  | OnMouseMove message handler, updates the Hint.
TApplication.ActivateHint |  | Configures a hint window for the specified mouse position.
Application |  | The TApplication singleton.